Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85586 - Config tool scrollbar issues
Summary: Config tool scrollbar issues
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: ConfigTool
Version: 2.0 beta 1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: John Dallaway
QA Contact: John Dallaway
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-04 19:09 UTC by Jonathan Larmour
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-20 16:19:52 UTC


Attachments (Terms of Use)

Description Jonathan Larmour 2003-03-04 19:09:00 UTC
Description of problem:

Three things which certainly apply to the config tool on Linux:

- On the build output window (and I think the test output window as well) the
icon for dragging the scrollbar also appears over the arrows at the end - this
isn't normal UI practice.

- The build output appears unnaturally slow - I suspect it's not printing out as
fast as it's being generated. Try doing a rebuild with nothing changed after an
initial build and you'll see what I mean, and compare with the cmd line :).

- Dragging the scrollbar while output happens doesn't have a desirable affect.
With the build output it seems impossible to scroll at all while the build is
ongoing. Instead the scroll requests are only acted on when the build ends.

With the "Run tests" output, you can appear to scroll it and then it takes
*ages* for it to scroll back down to the bottom by itself before it continues
the output. Try it and see while a run tests is active.

Comment 1 John Dallaway 2003-03-04 20:57:26 UTC
Under Windows (Visual C++ build), the configtool build window scrollbar 
flickers up and down erratically during eCos builds. 

Comment 2 Alex Schuilenburg 2003-06-20 16:19:52 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=85586


Note You need to log in before you can comment on or make changes to this bug.